DfsVisit< GR, VS, TR >::SetReachedMap< T > Struct Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members
DfsVisit< GR, VS, TR >::SetReachedMap< T > Struct Template Reference

## Detailed Description

### template<typename GR, typename VS, typename TR>
template<class T>
struct lemon::DfsVisit< GR, VS, TR >::SetReachedMap< T >

Named parameter for setting ReachedMap type.

`#include <lemon/dfs.h>`

Inheritance diagram for DfsVisit< GR, VS, TR >::SetReachedMap< T >:
[legend]

## Additional Inherited Members
Public Types inherited from DfsVisit< Digraph, Visitor, SetReachedMapTraits< T > >
typedef SetReachedMapTraits< T > | Traits
| The traits class.
typedef Traits::Digraph | Digraph
| The type of the digraph the algorithm runs on.
typedef Visitor | Visitor
| The visitor type used by the algorithm.
typedef Traits::ReachedMap | ReachedMap
| The type of the map that indicates which nodes are reached.
Public Member Functions inherited from DfsVisit< Digraph, Visitor, SetReachedMapTraits< T > >
| DfsVisit (const Digraph &digraph, Visitor &visitor)
| Constructor. More...
| ~DfsVisit ()
| Destructor.
DfsVisit & | reachedMap (ReachedMap &m)
| Sets the map that indicates which nodes are reached. More...
void | init ()
| Initializes the internal data structures. More...
void | addSource (Node s)
| Adds a new source node. More...
Arc | processNextArc ()
| Processes the next arc. More...
Arc | nextArc () const
| Next arc to be processed. More...
bool | emptyQueue () const
| Returns `false` if there are nodes to be processed. More...
int | queueSize () const
| Returns the number of the nodes to be processed. More...
void | start ()
| Executes the algorithm. More...
void | start (Node t)
| Executes the algorithm until the given target node is reached. More...
Arc | start (const AM &am)
| Executes the algorithm until a condition is met. More...
void | run (Node s)
| Runs the algorithm from the given source node. More...
bool | run (Node s, Node t)
| Finds the DFS path between `s` and `t`. More...
void | run ()
| Runs the algorithm to visit all nodes in the digraph. More...
bool | reached (Node v) const
| Checks if the given node is reached from the root(s). More...